Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.reasoner.rulesys.builtins
Class ListMapAsSubject

    java.lang.Object
      com.hp.hpl.jena.reasoner.rulesys.builtins.BaseBuiltin
          com.hp.hpl.jena.reasoner.rulesys.builtins.ListMapAsSubject

All Implemented Interfaces:
  Builtin

    public class ListMapAsSubject

extends BaseBuiltin

For each element in the RDF list (first argument) it asserts triples with that as the subject and predicate and object given by arguments two and three. A strange and hacky function, only usable in the head of forward rules.

Version:
  $Revision: 1.9 $ on $Date: 2008/01/02 12:06:22 $
Author:
  Dave Reynolds

Field Summary

Fields inherited from class com.hp.hpl.jena.reasoner.rulesys.builtins.BaseBuiltin
`BASE_URI`

Constructor Summary
`ListMapAsSubject()`

Method Summary
`int` | `getArgLength()` Return the expected number of arguments for this functor or 0 if the number is flexible.
`java.lang.String` | `getName()` Return a name for this builtin, normally this will be the name of the functor that will be used to invoke it.
`void` | `headAction(Node[] args, int length, RuleContext context)` This method is invoked when the builtin is called in a rule head.

Methods inherited from class com.hp.hpl.jena.reasoner.rulesys.builtins.BaseBuiltin
`bodyCall, checkArgs, getArg, getURI, isMonotonic, isSafe`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListMapAsSubject

    public ListMapAsSubject()

Method Detail

### getName

    public java.lang.String getName()

  Return a name for this builtin, normally this will be the name of the functor that will be used to invoke it.

### getArgLength

    public int getArgLength()

  Return the expected number of arguments for this functor or 0 if the number is flexible.

  Specified by:
    `getArgLength` in interface `Builtin`
  Overrides:
    `getArgLength` in class `BaseBuiltin`

### headAction

    public void headAction(Node[] args,
                           int length,
                           RuleContext context)

  This method is invoked when the builtin is called in a rule head. Such a use is only valid in a forward rule.

  Specified by:
    `headAction` in interface `Builtin`
  Overrides:
    `headAction` in class `BaseBuiltin`
  Parameters:
    `args` - the array of argument values for the builtin, this is an array of Nodes.
    `length` - the length of the argument list, may be less than the length of the args array for some rule engines
    `context` - an execution context giving access to other relevant data

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP